Upload slice cache content
curl --request POST \
--url https://platform.kodexa.ai/api/executions/{executionId}/slices/{sliceId}/cache \
--header 'Content-Type: application/octet-stream' \
--header 'x-api-key: <api-key>' \
--data '"<string>"'import requests
url = "https://platform.kodexa.ai/api/executions/{executionId}/slices/{sliceId}/cache"
payload = "<string>"
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/octet-stream"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/octet-stream'},
body: JSON.stringify('<string>')
};
fetch('https://platform.kodexa.ai/api/executions/{executionId}/slices/{sliceId}/cache', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Executions
Upload slice cache content
Caches an intermediate pipeline result for a slice within an execution.
POST
/
api
/
executions
/
{executionId}
/
slices
/
{sliceId}
/
cache
Upload slice cache content
Authorizations
x-api-keybearerAuth
API key for authentication. Create one from the Kodexa platform UI under Settings > Access Tokens.
Path Parameters
Execution UUID.
Slice UUID.
Body
application/octet-stream
The body is of type file.
Response
Cache stored
⌘I
